﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Attetszőség
{
  public partial class frmAblak : Form
  {
    public frmAblak()
    {
      InitializeComponent();
    }

    private void frmAblak_Load(object sender, EventArgs e)
    {
      // Adatkötés a görgetősáv Value tulajdonsága és a szövegmező
      // Text tulajdonsága között
      Binding bdKötés = new Binding("Text", sbGörgető, "Value");
      tbKijelző.DataBindings.Add(bdKötés);
    }

    private void tbKijelző_TextChanged(object sender, EventArgs e)
    {
      pnLap.Refresh();  
    }

    

    private void pnLap_Paint(object sender, PaintEventArgs e)
    {
      // Felirat kiírása
      e.Graphics.DrawString("Szöveg", new Font("Arial", 36),
        Brushes.Black, 11, 11);
      // A kifestés színe
      Color Szín = Color.FromArgb(int.Parse(tbKijelző.Text), Color.Blue); 
      // Kifestett téglalap rajzolása
      e.Graphics.FillRectangle(new SolidBrush(Szín),
        10, 10, 180, 60);
    }
  }
}
