using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace GrafikaPaint
{
  /// <summary>
  /// A program bemutatja a Paint esemnyhez kttt rajzolst s kifestst.
  /// </summary>
  public partial class frmAblak : Form
  {
    public frmAblak()
    {
      InitializeComponent();
    }
    /// <summary>
    /// Hrom ttetszen kifestett krt rajzol gy, hogy azok 
    /// rszben tfedik egymst.
    /// </summary>
    /// <param name="sender"></param>
    /// <param name="e">Hozzfrst ad a festvszonhoz.</param>
    private void frmAblak_Paint(object sender, PaintEventArgs e)
    { 
      Graphics gr = e.Graphics;
      SolidBrush sbEcset=new SolidBrush(
        Color.FromArgb(127,Color.Red));
      gr.FillEllipse(sbEcset,10,10,100,100);
      sbEcset.Dispose();
      sbEcset = new SolidBrush(
        Color.FromArgb(127, Color.Blue));
      gr.FillEllipse(sbEcset, 90, 10, 100, 100);
      sbEcset.Dispose();
      sbEcset = new SolidBrush(
        Color.FromArgb(127, Color.Green));
      gr.FillEllipse(sbEcset, 50, 70, 100, 100);
      sbEcset.Dispose();
    }
  }
}