using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace KepreRajzolas
{
  public partial class frmAblak : Form
  {
    public frmAblak()
    {
      InitializeComponent();
    }
    int x;
    int y;
    private void tsmiBetlt_Click(object sender, EventArgs e)
    { // llomnymegnyits prbeszdablak megjelentse
      DialogResult Dr = ofdBetlt.ShowDialog();
      // Ha a Megnyits gombbal zrta be a felhasznl
      if (Dr == DialogResult.OK)
      { // Kp llomny betltse
        Image Kp = Image.FromFile(ofdBetlt.FileName);
        // Ha volt korbbi rajzlap, akkor felszabadtjuk az ltala 
        // lefoglalt erforrsokat.
        if(pbRajzLap.Image!=null)
          pbRajzLap.Image.Dispose();
        // A betlttt kpet msoljuk a rajzlapra.
        pbRajzLap.Image = Kp;
        // A kphez igaztjuk a megjelent komponens mrett.
        pbRajzLap.SizeMode = PictureBoxSizeMode.AutoSize;
      }
    }
    
    /// <summary>
    /// Troljuk a kurzor pozcijt az egrgomb lenyomsakor.
    /// </summary>
    /// <param name="sender"></param>
    /// <param name="e"></param>
    private void pbRajzLap_MouseDown(object sender,
      MouseEventArgs e)
    {
      x = e.X;
      y = e.Y;
    }

    /// <summary>
    /// Ha a bal egrgomb le van nyomva, s mozgatjuk az egeret,
    /// akkor rajzolunk a kpre.
    /// </summary>
    /// <param name="sender"></param>
    /// <param name="e"></param>
    private void pbRajzLap_MouseMove(object sender, 
      MouseEventArgs e)
    { if (e.Button == MouseButtons.Left)
      { // Ler a kp festvsznhoz.
        Graphics gr = Graphics.FromImage(pbRajzLap.Image);
        // Vonalhzs a kpre az eltrolt pozcitol az 
        // aktulis egrpozciba.
        gr.DrawLine(Pens.Blue, x, y, e.X, e.Y);
        // rvnytelentjk a rajzlapot.
        pbRajzLap.Refresh();
        // Troljuk az aktulis egrkoordintkat.
        x = e.X;
        y = e.Y;
      }
    }

    private void tsmiLement_Click(object sender, EventArgs e)
    {
      DialogResult Dr = sfdLement.ShowDialog();
      if (Dr == DialogResult.OK)
      { if(pbRajzLap.Image!=null)
          pbRajzLap.Image.Save(sfdLement.FileName); 
      }

    }
  }
}