﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Körcikk
{
  public partial class frmAblak : Form
  {
    public frmAblak()
    {
      InitializeComponent();
    }

    private void pnRajzlap_Paint(object sender, PaintEventArgs e)
    {
      // Függőleges vonal
      e.Graphics.DrawLine(Pens.Black, pnRajzlap.Width / 2, 0,
        pnRajzlap.Width / 2, pnRajzlap.Height - 1);
      // Vízszintes vonal
      e.Graphics.DrawLine(Pens.Black, 0, pnRajzlap.Height / 2,
        pnRajzlap.Width - 1, pnRajzlap.Height / 2);
      // Koordináta rendszer eltolása a szálkereszt középpontjába
      e.Graphics.TranslateTransform(pnRajzlap.Width / 2,
        pnRajzlap.Height / 2);
      // Piros négyzet megrajzolása
      e.Graphics.DrawRectangle(Pens.Red, -25, -25, 50, 50);
      // Kék körcikk megrajzolása. 10°-nál kezdődik és a közrezárt szög 45°-os.
      e.Graphics.DrawPie(Pens.Blue, -25, -25, 50, 50, 10,45);
    }

    
  }
}
